clear all; close all;
path(path,['C:\GitLab\Tools\TensorLab20\TensorLab20']);

e = cartesianbasis3d('ex', 'ey', 'ez');
ex = e(1);
ey = e(2);
ez = e(3);

a =ex+ey+ez;
x =[a-a a 2*a 3*a].';
u =[160 120 80 40].';
vu=[4*ez 3*ez 2*ez ez].';
C= 1/3*ex*ex+2/3*ey*ey+ez*ez;
tu= [ 4*C 3*C 2*C C].';

%scalar plot
figure(1)
scatter(x, 2*abs(u), u, 'filled')
colorbar

%vector plot
figure(2)
quiver(x, vu ,0);
grid on;

%tensor plot
figure(3)
quiver(x, tu,0);
grid on;


clear all;


%testing shape function and mater elements (example for points within an
% element)

e = cartesianbasis2d('ex', 'ey');
ex = e(1);
ey = e(2);
[eps1,eps2]=meshgrid(-1:0.1:1,-1:0.1:1);

Ne1=1/4*(1-eps1).*(1-eps2);
Ne2=1/4*(1+eps1).*(1-eps2);
Ne3=1/4*(1+eps1).*(1+eps2);
Ne4=1/4*(1-eps1).*(1+eps2);


x1=75*ex+75*ey;
x2=80*ex+75*ey;
x3=80*ex+87*ey;
x4=75*ex+88*ey;

x = Ne1*x1 + Ne2*x2 + Ne3*x3+ Ne4*x4;

figure(4)
scatter(dot(x,ex),dot(x,ey));


% mesh

[x, conn] = femgrid([1 1], [4 4], e, 'ElementShape', 'Tria', 'ElementType','Linear');

figure(5)
femplot(x, conn, 'Color' , 'black', 'Nodes', 'on', ... 
        'NodeNumbers' , 'on', 'ElementNumbers', 'off');
